# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /Users/distiller/project/recipes/diamond, last modified Mon Jul 28 06:39:14 2025
# ------------------------------------------------

package:
  name: diamond
  version: 2.1.13
source:
  - sha256: d3d093b77d0ad8914f3e94dc53b9b2684cb77990765e1a2fe93ad022c28930f5
    url: https://github.com/bbuchfink/diamond/archive/v2.1.13.tar.gz
  - folder: ncbi-cxx-toolkit-public
    sha256: 1c229854f974054e62c7ca6247ebf64c95aed65c31a03ff4c886328e2168376a
    url: https://github.com/ncbi/ncbi-cxx-toolkit-public/archive/refs/tags/release/29.3.0.tar.gz
build:
  number: '0'
  run_exports:
    - diamond >=2.1.13,<3.0a0
  string: ha27f01c_0
requirements:
  build:
    - autoconf 2.72 pl5321hd3c70e0_1
    - automake 1.17 pl5321hce30654_0
    - bzip2 1.0.8 h99b78c6_7
    - c-ares 1.34.5 h5505292_0
    - ca-certificates 2025.7.14 hbd8a1cb_0
    - cctools_osx-arm64 1021.4 h12580ec_0
    - clang 18.1.8 default_h1eedb11_12
    - clang-18 18.1.8 default_h649e436_12
    - clang_impl_osx-arm64 18.1.8 h2ae9ea5_25
    - clang_osx-arm64 18.1.8 h07b0088_25
    - clangxx 18.1.8 default_h0dcb199_12
    - clangxx_impl_osx-arm64 18.1.8 h555f467_25
    - clangxx_osx-arm64 18.1.8 h07b0088_25
    - cmake 4.0.3 ha25475f_0
    - compiler-rt 18.1.8 h856b3c1_1
    - compiler-rt_osx-arm64 18.1.8 h832e737_1
    - krb5 1.21.3 h237132a_0
    - ld64_osx-arm64 954.16 h9d5fcb0_0
    - libclang-cpp18.1 18.1.8 default_h649e436_12
    - libcurl 8.14.1 h73640d1_0
    - libcxx 20.1.8 hf598326_1
    - libcxx-devel 18.1.8 h6dc3340_8
    - libedit 3.1.20250104 pl5321hafb1f1b_0
    - libev 4.33 h93a5062_2
    - libexpat 2.7.1 hec049ff_0
    - libffi 3.4.6 h1da3d7d_1
    - libglib 2.84.2 hbec27ea_0
    - libiconv 1.18 hfe07756_1
    - libintl 0.25.1 h493aca8_0
    - libllvm18 18.1.8 default_h3f49643_7
    - libltdl 2.4.3a h286801f_0
    - liblzma 5.8.1 h39f12f2_2
    - libnghttp2 1.64.0 h6d7220d_0
    - libssh2 1.11.1 h1590b86_0
    - libtool 2.5.4 h286801f_0
    - libuv 1.51.0 h5505292_0
    - libxml2 2.13.8 hcc23dba_0
    - libzlib 1.3.1 h8359307_2
    - llvm-tools 18.1.8 default_h3f49643_7
    - llvm-tools-18 18.1.8 default_h3f49643_7
    - m4 1.4.20 h5505292_0
    - make 4.4.1 hc9fafa5_2
    - ncurses 6.5 h5e97a16_3
    - openssl 3.5.1 h81ee809_0
    - pcre2 10.45 ha881caa_0
    - perl 5.32.1 7_h4614cfb_perl5
    - pkg-config 0.29.2 hde07d2e_1009
    - rhash 1.4.6 h5505292_1
    - sigtool 0.1.3 h44b9a77_0
    - tapi 1300.6.5 h03f4b80_0
    - zstd 1.5.7 h6491c7d_2
  host:
    - icu 75.1 hfee45f7_0
    - libcxx 20.1.8 hf598326_1
    - libsqlite 3.50.3 h4237e3c_1
    - libzlib 1.3.1 h8359307_2
    - llvm-openmp 18.1.8 h31f6cbb_2
    - ncurses 6.5 h5e97a16_3
    - readline 8.2 h1d1bf99_2
    - sqlite 3.50.3 hb5dd463_1
    - zlib 1.3.1 h8359307_2
    - zstd 1.5.7 h6491c7d_2
    - zstd-static 1.5.7 h67dc180_2
  run:
    - libcxx >=18
    - libsqlite >=3.50.3,<4.0a0
    - libzlib >=1.3.1,<2.0a0
    - llvm-openmp >=18.1.8
test:
  commands:
    - diamond --help 2>&1 > /dev/null
about:
  dev_url: https://github.com/bbuchfink/diamond
  doc_url: https://github.com/bbuchfink/diamond/wiki
  home: https://github.com/bbuchfink/diamond
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: LICENSE
  summary: Accelerated BLAST compatible local sequence aligner.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:diamond
    - doi:10.1038/s41592-021-01101-x
    - usegalaxy-eu:bg_diamond
    - usegalaxy-eu:bg_diamond_makedb
    - usegalaxy-eu:bg_diamond_view
